1GStreamer uses a *large* array of tools and libraries, most of which are
2optional. We have attempted to make sure that any code that depends on
3optional libraries doesn't get built unless you have those libraries. If
4you find this not to be the case, please, let us know by filing a bug
5report at http://bugzilla.gnome.org/.
6
7On Debian/Ubuntu, the easiest way to install most build requirements is:
8
9        sudo apt-get build-dep gst-plugins-good1.0
10
11Required tools:
12===============
13
14An extra set of tools is required if you wish to build GStreamer
15from git (using autogen.sh):
16
17autoconf  >= 2.68   https://www.gnu.org/software/autoconf/
18automake  >= 1.11   https://www.gnu.org/software/automake/
19gettext   >= 0.17   https://www.gnu.org/software/gettext/
20libtool   >= 2.2.6  https://www.gnu.org/software/libtool/
21pkgconfig >= 0.9.0  https://www.freedesktop.org/software/pkgconfig/
22
23Required libraries:
24===================
25
26Package:        GStreamer
27Version:        1.x (same 1.x version as this package)
28Recommended:    Latest 1.x
29URL:            http://gstreamer.freedesktop.org/
30DebianPackage:  libgstreamer1.0-dev
31Notes:          The required version is updated frequently, so the version
32                listed in this file is often out of date. If you are compiling
33                from git master, you will usually need GStreamer core and
34                gst-plugins-base from git master as well.
35
36Package:        GStreamer Base Plugins
37Version:        1.x (same 1.x version as this package)
38Recommended:    Latest 1.x
39URL:            http://gstreamer.freedesktop.org/
40DebianPackage:  libgstreamer-plugins-base1.0-dev
41Notes:          The required version is updated frequently, so the version
42                listed in this file is often out of date. If you are compiling
43                from git master, you will usually need GStreamer core and
44                gst-plugins-base from git master as well.
45
46
47Optional libraries:
48===================
49
50This file lists supporting libraries for which gst-plugins-good contains
51plugins, as well as their minimum required version. You can find the
52corresponding plugins in ext/(library)
53
54Package:        Orc
55Version:        >= 0.4.17
56Recommended:    Latest 0.4.x
57URL:            http://gstreamer.freedesktop.org/data/src/orc/
58DebianPackage:  liborc-0.4-dev
59Notes:		Used by many plugins for accelerating SIMD processing using
60                run-time generated assembly. Not a hard requirement, but
61                highly recommended. Packagers, please hard-depend on liborc.
62                The git repository is http://cgit.freedesktop.org/gstreamer/orc/
63                (all versions on entropywave.com are outdated)
64
65Package:        gdk-pixbuf Library
66Version:        >= 2.8.0
67Recommended:    Latest 2.x
68URL:            http://www.gtk.org/
69DebianPackage:  libgdk-pixbuf2.0-dev
70Plugins:        gdkpixbuf (gdkpixbufdec, gdkpixbufoverlay)
71Notes:          This library does not depend on Gtk+ or Gdk or any window system
72
73Package:        GTK+
74Version:        >= 3.0
75Recommended:    Latest 3.x
76URL:            http://www.gtk.org/
77DebianPackage:  libgtk-3-dev
78Plugins:        None
79Notes:	        Only needed by some of the examples, not by any plugins.
80
81Package:        Xlib
82Plugins:        ximagesrc
83DebianPackage:  libx11-dev libxv-dev libxt-dev
84
85Package:        AALib
86Plugins:        aasink
87URL:            http://aa-project.sourceforge.net/aalib/
88
89Package:        Cairo
90Version:        >= 1.10
91DebianPackage:  libcairo2-dev
92Plugins:        cairo (cairooverlay)
93URL:            http://cairographics.org/
94
95Package:        FLAC
96Version:        >= 1.1.4
97DebianPackage:  libflac-dev
98Plugins:        flac (flacenc, flacdec)
99URL:            http://flac.sourceforge.net/
100
101Package:        gudev
102Version:        >= 147
103DebianPackage:  libgudev-1.0-dev
104Plugins:        v4l2 (v4l2src)
105URL:            http://www.freedesktop.org/software/systemd/
106Notes:          This dependency is entirely optional, the video4linux plugin
107                will work just fine without it. gudev is only required for
108                the device probing and monitoring functionality to detect
109                video4linux devices appearing/disappearing at run-time.
110
111Package:        JPEG library
112Plugins:        jpeg (jpegenc, jpegdec, smokeenc, smokedec)
113DebianPackage:  libjpeg-dev
114URL:            http://www.libjpeg-turbo.org/
115                or http://www.ijg.org/ for the IJG version
116
117Package:        Libcaca
118Plugins:        cacasink
119DebianPackage:  libcaca-dev
120URL:            http://libcaca.zoy.org/
121
122Package:        Libdv
123Version:        >= 0.100
124DebianPackage:  libdv4-dev
125Plugins:        dv (dvdec)
126URL:            http://libdv.sourceforge.net/
127
128Package:	liblame
129Version:	>= 3.98
130DebianPackage:	libmp3lame-dev
131Plugins:	lame (lamemp3enc)
132URL:		http://www.mp3dev.org/mp3/
133
134Package:	libmpg123
135Version:        >= 1.3
136DebianPackage:  libpng12-dev
137Plugins:        mpg123 (mpg123audiodec)
138URL:		https://www.mpg123.de/api/
139
140Package:        Libpng
141Version:        >= 1.2
142DebianPackage:  libpng12-dev
143Plugins:        png (pngenc, pngdec)
144URL:            http://www.libpng.org/pub/png/libpng.html
145
146Package:        libraw1394
147Plugins:        dv1394
148URL:            http://www.linux1394.org/
149
150Package:        libshout
151Version:        >= 2.0
152DebianPackage:  libshout3-dev
153plugins:        shout2 (shout2send)
154URL:            http://www.icecast.org/
155
156Package:        speex
157Version:        >= 1.1.6
158Plugins:        speex (speexenc, speexdec)
159URL:            http://www.speex.org/
160
161Package:        taglib
162Version:        >= 1.5
163DebianPackage:  libtag1-dev
164Plugins:        taglib (id3v2mux)
165URL:            http://taglib.github.io/
166
167Package:	twolame
168Version:	>= 0.3.13
169DebianPackage:	libtwolame-dev
170Plugins:	twolame (twolamemp2enc)
171URL:		http://www.twolame.org
172
173Package:        zlib
174DebianPackage:  zlib1g-dev
175Plugins:        isomp4 (qtdemux), matroska (matroskademux)
176URL:            http://www.zlib.net/
177
178Optional (debian) packages:
179===========================
180
181gtk-doc-tools >= 1.12  -- needed to build documentation
182python-xml  -- needed to build plugin documentation
183